/*
 * Copyright  2019-2020 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/
/*
 * How to set up clock using clock driver functions:
 *
 * 1. Setup clock sources.
 *
 * 2. Set up all dividers.
 *
 * 3. Set up all selectors to provide selected clocks.
 */

/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Clocks v6.0
processor: JN5189
package_id: JN5189HN
mcu_data: ksdk2_0
processor_version: 0.0.0
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */
#include "fsl_common.h"
#include "clock_config.h"

/*******************************************************************************
 * Definitions
 ******************************************************************************/

/*******************************************************************************
 * Variables
 ******************************************************************************/
/* System clock frequency. */
extern uint32_t SystemCoreClock;

/*******************************************************************************
 * Code
 ******************************************************************************/
void BOARD_BootClockVLPR(void)
{
}

void BOARD_BootClockRUN(void)
{
    /* Set PMC FRO selection */
    CLOCK_EnableClock(kCLOCK_Fro48M);
    CLOCK_EnableClock(kCLOCK_Rtc);

    /* INMUX and IOCON are used by many apps, enable both INMUX and IOCON clock bits here. */
    //CLOCK_AttachClk(kOSC32M_to_FRG_CLK);
  
    CLOCK_SetClkDiv(kCLOCK_DivClkout, 1, false);

    CLOCK_EnableClock(kCLOCK_Xtal32M);
    CLOCK_EnableClock(kCLOCK_Xtal32k);
    CLOCK_AttachClk(kXTAL32K_to_OSC32K_CLK);

    /* attach clock for USART0 */
    CLOCK_AttachClk(kOSC32M_to_USART_CLK);
    CLOCK_EnableClock(kCLOCK_Usart0);

    /* Enable 48MHz CPU freq */
    CLOCK_AttachClk(kFRO48M_to_MAIN_CLK);

    /* WWDT clock config (32k oscillator, no division) */
    CLOCK_AttachClk(kOSC32K_to_WDT_CLK);
    CLOCK_SetClkDiv(kCLOCK_DivWdtClk, 1, true);

    /* enable the clocks for the cryto blocks */
    CLOCK_EnableClock(kCLOCK_Aes);

    SystemCoreClockUpdate();
}

void BOARD_BootClockHSRUN(void)
{
}
